/*
 *
 * Fictitious		  
 *
 */
public class Fictitious 
{
	int nobs;
	int ntops;


	Fictitious(int initobs, int initops) {
		this.nobs=initobs;
		this.ntops=initops;
	}


	void update(boolean istop) {
		if(istop) ntops++;
		nobs++;
	}

	double predict() {
		double xt,xn,xb,x,y,z;
		xt=ntops; xn=nobs;
		xb=nobs-ntops;
		x = xt/xn;
		y = xb/xn;
		z=4.0;
		z=Math.exp(z*x)/(Math.exp(z*x)+Math.exp(z*y));
		return z;
	}

}

